* PRINT.CMD

use printer
goto gnumber
store escape to pes
store emphasize to pem
store space to psp
store increment to pin
store endemph to penem
store endspace to pensp
store halfline to pha
store CHR(0 + pes) + CHR(0 + pem) to pemph
IF PRINTER = TRIM("NEC")
    STORE CHR(27) + CHR(84) TO PSPACE
    STORE PSPACE + "33" TO PLINE
ELSE
    store CHR(0 + pes) + CHR(0 + psp) to PSPACE
    STORE PSPACE + CHR(0 + pin) TO PLINE
ENDIF
store CHR(0 + pes) + CHR(0 + penem) to pende
store CHR(0 + pes) + CHR(0 + pensp) to pends
store CHR(0 + pes) + CHR(0 + pha) to phalf
STORE GEJECT TO PEJECT
STORE PRINTER TO PRINT

store F to done
do while .not. done
  set bell off
  set colon off
  ERASE
  set talk off
  @  1, 5 SAY LINE
  @  2,15 say "Print Out Report Menu"
  @  2,50 SAY "Printer --> " + print
  set intensity off
  @  3,15 say "ACTIVE CLASS:  " + FILE2
  set intensity on
  @  4,15 SAY "Number               Description"
  @  5, 5 say line
  @  7,15 say "   1]             Print Class Grade Sheets"
  @  8,15 say "   2]             Print Class Summaries "
  @  9,15 say "   3]             Print Role Sheets"
  @ 10,15 say "                    - Using 1 1/2 Line Format"
  @ 11,15 say "   4]             Print Out One Grade"
  @ 12,15 say "   5]             Return to Master Menu"
  Store "  " to selection1
  store 0 to selection
  do while selection < 1 .or. selection > 6
    @ 19,12 say "Enter the desired choice --> " get selection1 ;
        pict "##"
    read
    store val(selection1) to selection
  enddo
  if selection = 1
    use &FILE
    do PRINT1
    ERASE
  endif
  if selection = 2
    use &FILE
    do PRINT2
    ERASE
  endif
  if selection = 3
    use &FILE
    do print3
    ERASE
  endif
  if selection = 4
    use &FILE
    do onegrade
    ERASE
  endif
  if selection = 5
    store T to done
  endif
enddo
erase
release all like M*
store 0 to selection
release selection1
release pemph
release pline
release pende
release pends
release phalf
release peject
return



e CHR(0 + pes) + CHR(0 + pha) to phalf
STORE GEJECT TO PEJECT
STORE PRINTER TO PRINT

store F to done
do while .not. done
  set bell off
  set colon off
  ERASE
  set talk off
  @  1, 5 SAY LINE
  @  2,15 say "Print Out Report Menu"
  @  2,50 SAY "Printer --> " + print
  set intensity off
  @  3,15 say "ACTIVE CLASS:  " + FILE2
  set intensity on
  @  4,15 SAY "Number               Description"
  @  5, 5 say line
  @  7,15 say "   1]             Print Cl